FROM registry.gitlab.com/starshell/docker/rust-kcov:stable

RUN apt-get update && apt-get install --yes \
        curl \
        clang-3.9 \
        llvm-3.9-dev \
        libclang-3.9-dev \
    && cd /opt \
    && curl -sLJO https://github.com/ADLINK-IST/opensplice/releases/download/OSPL_V6_7_180404OSS_RELEASE/PXXX-VortexOpenSplice-6.7.180404OSS-HDE-x86_64.linux-gcc5.4.0-glibc2.23-installer.tar.gz \
    && apt-get remove --yes --purge curl \
    && rm -rf /var/lib/apt/lists/* \
    && tar -xzvf PXXX-VortexOpenSplice-6.7.180404OSS-HDE-x86_64.linux-gcc5.4.0-glibc2.23-installer.tar.gz \
    && rm PXXX-VortexOpenSplice-6.7.180404OSS-HDE-x86_64.linux-gcc5.4.0-glibc2.23-installer.tar.gz \
    && cd HDE/x86_64.linux/ \
    && rm -rf custom_lib docs examples index.html src demos etc

ENV OSPL_HOME /opt/HDE/x86_64.linux
ENV PATH $OSPL_HOME/bin:$PATH
ENV LD_LIBRARY_PATH $OSPL_HOME/lib${LD_LIBRARY_PATH:+:}$LD_LIBRARY_PATH
ENV CPATH $OSPL_HOME/include:$OSPL_HOME/include/sys:${CPATH}
ENV OSPL_URI file://$OSPL_HOME/etc/config/ospl.xml
